import React from 'react'
import { shallow } from 'enzyme'
import ChallengeCardLocked from './ChallengeCardLocked'
import { userChallengeData } from '../../../tests/__mocks__/userChallengeData.mock'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})
//TODO fis MUI theme error
describe('ChallengeCardLocked component', () => {
  it('should be rendered correctly', () => {
    const component = shallow(
      <ChallengeCardLocked userChallenge={userChallengeData[3]} />
    ).getElement()
    expect(component).toMatchSnapshot()
  })
})
