import React from 'react'
import { mount } from 'enzyme'
import StyledEcogestureCard from './StyledEcogestureCard'

describe('StyledEcogestureCard component test', () => {
  it('should render correctly border StyledEcogestureCard', () => {
    const wrapper = mount(<StyledEcogestureCard />)
    expect(wrapper.getElement()).toMatchSnapshot()
  })

  it('should render correclty new ecogesture StyledEcogestureCard with newEcogesture', () => {
    const wrapper = mount(<StyledEcogestureCard newEcogesture={true} />)
    expect(wrapper.getElement()).toMatchSnapshot()
  })

  it('should render correctly border StyledEcogestureCard with border', () => {
    const wrapper = mount(<StyledEcogestureCard border={true} />)
    expect(wrapper.getElement()).toMatchSnapshot()
  })
})
