import React from 'react'
import { shallow } from 'enzyme'
import OptionsView from 'components/Options/OptionsView'

jest.mock('components/Header/CozyBar', () => 'mock-cozybar')
jest.mock('components/Header/Header', () => 'mock-header')
jest.mock('components/Content/Content', () => 'mock-content')
jest.mock(
  'components/Konnector/KonnectorViewerList',
  () => 'mock-konnectorviewerlist'
)

describe('OptionsView component', () => {
  it('should be rendered correctly', () => {
    const component = shallow(<OptionsView />).getElement()
    expect(component).toMatchSnapshot()
  })
})
