import React from 'react'
import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import MinorUpdateContent from './MinorUpdateContent'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

describe('Minor update content component', () => {
  it('should be rendered correctly', () => {
    const component = mount(
      <MinorUpdateContent toggleLegalNoticeModal={jest.fn()} />
    )
    expect(toJson(component)).toMatchSnapshot()
  })
})
