import { Step } from 'models/step.model'
import ElectricityBillIcon from 'assets/icons/visu/partnerSteps/electricity_bill.svg'
import FranceConnectIcon from 'assets/icons/visu/partnerSteps/france_connect.svg'
import EnedisIcon from 'assets/icons/visu/partnerSteps/enedis.svg'
import WaterBillIcon from 'assets/icons/visu/partnerSteps/water_bill.svg'
import EglIcon from 'assets/icons/visu/partnerSteps/egl.svg'
import GasBillIcon from 'assets/icons/visu/partnerSteps/gas_bill.svg'
import GrdfIcon from 'assets/icons/visu/partnerSteps/grdf.svg'

export const electricitySteps: Step[] = [
  {
    icon: ElectricityBillIcon,
    info1: 'partner_connection_steps.electricity.step1.info1',
    info2: 'partner_connection_steps.electricity.step1.info2',
  },
  {
    icon: FranceConnectIcon,
    info1: 'partner_connection_steps.electricity.step2.info1',
    info2: 'partner_connection_steps.electricity.step2.info2',
  },
  {
    icon: EnedisIcon,
    info1: 'partner_connection_steps.electricity.step3.info1',
    info2: 'partner_connection_steps.electricity.step3.info2',
  },
]
export const waterSteps: Step[] = [
  {
    icon: WaterBillIcon,
    info1: 'partner_connection_steps.water.step1.info1',
    info2: 'partner_connection_steps.water.step1.info2',
  },
  {
    icon: EglIcon,
    info1: 'partner_connection_steps.water.step2.info1',
    info2: 'partner_connection_steps.water.step2.info2',
  },
]
export const gasSteps: Step[] = [
  {
    icon: GasBillIcon,
    info1: 'partner_connection_steps.gas.step1.info1',
    info2: 'partner_connection_steps.gas.step1.info2',
  },
  {
    icon: GrdfIcon,
    info1: 'partner_connection_steps.gas.step2.info1',
    info2: 'partner_connection_steps.gas.step2.info2',
  },
]
