import React from 'react'
import { mount } from 'enzyme'
import StyledSwitch from './StyledSwitch'
import { FluidType } from 'enum/fluid.enum'

describe('StyledSwitch component test', () => {
  it('should render correctly electricty StyledSwitch', () => {
    const wrapper = mount(<StyledSwitch fluidType={FluidType.ELECTRICITY} />)

    expect(wrapper.getElement()).toMatchSnapshot()
  })

  it('should render correctly water StyledSwitch', () => {
    const wrapper = mount(<StyledSwitch fluidType={FluidType.WATER} />)

    expect(wrapper.getElement()).toMatchSnapshot()
  })

  it('should render correctly gas StyledSwitch', () => {
    const wrapper = mount(<StyledSwitch fluidType={FluidType.GAS} />)

    expect(wrapper.getElement()).toMatchSnapshot()
  })
})
