import React from 'react'
import { shallow } from 'enzyme'
import LegalNoticeLink from 'components/LegalNotice/LegalNoticeLink'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

describe('LegalNoticeLink component', () => {
  it('should be rendered correctly', () => {
    const component = shallow(<LegalNoticeLink />).getElement()
    expect(component).toMatchSnapshot()
  })
})
