import React from 'react'
import { shallow } from 'enzyme'
import MatomoOptOut from './MatomoOptOut'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

describe('MatomoOptOut component', () => {
  it('should be rendered correctly', () => {
    const component = shallow(<MatomoOptOut />).getElement()
    expect(component).toMatchSnapshot()
  })
})
